package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadZmStatCommandResponse;

public class ReadZmStatCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 366516667014576198L;

	@Override
	public Class<ReadZmStatCommandResponse> getResponseClass() {
		return ReadZmStatCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询照明运行状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READZMSTAT;
	}

}
